using System;
using System.Collections.Generic;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using System.Windows.Media.Animation;


namespace SimpleCodeAnimation
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>

    public partial class Window1 : System.Windows.Window
    {

        public Window1()
        {
            InitializeComponent();
        }

        protected override void OnMouseDown(MouseButtonEventArgs e)
        {
            if (e.LeftButton == MouseButtonState.Pressed)
            {
                // Example 16-2. A simple animation

                DoubleAnimation animate = new DoubleAnimation();
                animate.To = 300;
                animate.Duration = new Duration(TimeSpan.FromSeconds(5));
                animate.RepeatBehavior = RepeatBehavior.Forever;
                myEllipse.BeginAnimation(Ellipse.WidthProperty, animate);

                // End of Example 16-2.
            }
            else
            {
                // Example 16-3. Animating ‘by’

                DoubleAnimation animate = new DoubleAnimation();
                animate.By = 100;
                animate.Duration = new Duration(TimeSpan.FromSeconds(5));
                myEllipse.BeginAnimation(Ellipse.WidthProperty, animate);

                // End of Example 16-3.
            }
        }


    }
}